#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QGroupBox, QSizePolicy


class GroupBox(QGroupBox):
    """
    Just a QGroupBox with some custom style I don't always want to rewrite.
    """

    def __init__(self, title, parent=None):
        super().__init__(title, parent)

        self.setSizePolicy(QSizePolicy.Policy.Preferred, QSizePolicy.Policy.Fixed)
        self.setAlignment(Qt.AlignmentFlag.AlignLeading | Qt.AlignmentFlag.AlignVCenter)

        self.setStyleSheet("QGroupBox{font-weight: bold;}")
